
import React from 'react';
import ReactDOM from 'react-dom';
import { BrowserRouter as Router } from 'react-router-dom';

import BaseControl from '../BaseControl.jsx'
import Header from '../Controls/Layout/Header.jsx'
import Footer from '../Controls/Layout/Footer.jsx'
import RouteSystem from '../RouteSystem.jsx'


class LayoutPage extends BaseControl {

    constructor(props) {
        super(props, "LayoutPage");        
    }



    render() {
        return (
            <Router>
                <div>
                    <Header />

                    <RouteSystem />

                    <Footer />
                </div >
            </Router>
        );
    }
}

ReactDOM.render(
    <LayoutPage />,
    document.getElementById("App")
)

